%global git_date  20250307
%global git_hash  05c8023a2
%global git_ver  2025.02.19

%global rel  1

%global src_name  %{name}-%{git_date}-%{git_hash}.tar.xz

Name:  yt-dlp
Version:    %{git_ver}^%{git_date}g%{git_hash}
Release:    %{rel}%{?dist}
Summary:  A youtube-dl fork with additional features and fixes.
License:  unlicense

URL:  https://github.com/yt-dlp/yt-dlp
Source0:  %{src_name}
#Patch1:   requirements.patch

BuildRequires:  python3-devel
BuildArch:      noarch

BuildRequires:  pandoc
BuildRequires:  make

Requires:       (%{name}-bash-completion if bash-completion)

%description
yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.
The main focus of this project is adding new features and patches while also keeping up to date with the original project.


%package bash-completion
Summary:        Bash completion for %{name}
Requires:       %{name} = %{version}
Requires:       bash-completion
BuildArch:      noarch
%description bash-completion
Bash command line completion support for %{name}.

%prep
%autosetup -p1 -n %{name}


%generate_buildrequires
%pyproject_buildrequires -t


%build
make yt-dlp.1 completion-bash
%pyproject_wheel


%install
%pyproject_install


%files
%doc README.md
%license LICENSE
%{_mandir}/man1/%{name}.1*
%{python3_sitelib}/
%{_bindir}/yt-dlp


%files bash-completion
%{_datadir}/bash-completion/completions/%{name}


%changelog
%autochangelog
